> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pmock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get product list

> get product information list



## OpenAPI

````yaml get /open/api/product/list
openapi: 3.1.0
info:
  title: apidoc
  description: ''
  version: 1.0.0
servers:
  - url: https://user.pmock.com/api
    description: Generated server url
security: []
tags: []
paths:
  /open/api/product/list:
    get:
      tags: []
      summary: Get product list
      description: get product information list
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RListProductInfoVO'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    RListProductInfoVO:
      type: object
      properties:
        traceId:
          type: string
          description: Request link ID
        code:
          type: integer
          description: code
        msg:
          type: string
          description: Request return message
        data:
          type: array
          items:
            $ref: '#/components/schemas/ProductInfoVO'
            description: ProductInfoVO
          description: Request return data
        status:
          type: string
          description: >-
            Status, representing whether this is an instant completion or
            waiting state, finish or pending
          default: finish
      required:
        - traceId
        - code
        - msg
        - status
    ProductInfoVO:
      type: object
      properties:
        spuId:
          type: integer
          description: Product SPU ID
          format: int64
        spuName:
          type: string
          description: Product SKU Name
        skuList:
          type: array
          items:
            $ref: '#/components/schemas/ProductSkuInfoVO'
            description: ProductSkuInfoVO
          description: Product SKU information list
    ProductSkuInfoVO:
      type: object
      properties:
        skuId:
          type: integer
          description: Product SKU ID, Used for creating mobile phones
          format: int64
        skuName:
          type: string
          description: Product SKU name
        chargeType:
          type: integer
          description: >-
            Billing type: 1=On demand, 2=Time package, The charging method when
            the mobile phone is in operation.
        cycle:
          type: integer
          description: Billing cycle
        cycleName:
          type: string
          description: Billing cycle unit
        isAutoRenewal:
          type: boolean
          description: 'Whether to auto-renew, currently fixed as: true'
          default: true
        cyclePrice:
          type: number
          description: Computing power cost
        chargeLimit:
          type: number
          description: Spending limit
        skuExtraPriceList:
          type: array
          items:
            $ref: '#/components/schemas/ProductSkuExtraPriceInfoVO'
            description: ProductSkuExtraPriceInfoVO
          description: Additional price information of product SKU
    ProductSkuExtraPriceInfoVO:
      type: object
      properties:
        id:
          type: integer
          description: Actual product ID
          format: int64
        name:
          type: string
          description: Fee name
        price:
          type: number
          description: Fee amount
        cycleName:
          type: string
          description: Billing cycle unit

````